
Smart Proxy - Bug #12572

Smart-Proxy includes RC4 in ciphersuites

11/23/2015 09:51 PM - Brandon Weeks

Status: Closed   

Priority: Normal   

Assignee: Brandon Weeks   

Category: SSL   

Target version: 1.11.0   

Difficulty:  Fixed in Releases:  

Triaged:  Found in Releases: Nightly

Bugzilla link:  Red Hat JIRA:  

Pull request: https://github.com/theforeman/smart-pro

xy/pull/344,

https://github.com/theforeman/smart-pro

xy/pull/351

  

Description

https://wiki.mozilla.org/Security/Server_Side_TLS#RC4_weaknesses

See this article for background. RC4 should no longer be used.

Related issues:

Related to Smart Proxy - Bug #12576: Logjam - doesn't allow custom DHE groups Closed 11/24/2015

Related to Smart Proxy - Bug #12573: Smart-Proxy supports TLSv1 Closed 11/23/2015

Associated revisions

Revision 508a9e8b - 12/10/2015 05:33 AM - Brandon Weeks

Fixes #12572 - refactor openssl settings

History

#1 - 11/23/2015 09:56 PM - The Foreman Bot

- Status changed from New to Ready For Testing

- Assignee set to Brandon Weeks

- Pull request https://github.com/theforeman/smart-proxy/pull/344 added

#2 - 11/23/2015 10:22 PM - Brandon Weeks

- Category set to SSL

#3 - 11/25/2015 06:19 AM - The Foreman Bot

- Pull request https://github.com/theforeman/smart-proxy/pull/351 added

#4 - 12/10/2015 05:36 AM - Dominic Cleal

- translation missing: en.field_release set to 71

#5 - 12/10/2015 06:02 AM - Brandon Weeks

- Status changed from Ready For Testing to Closed

- % Done changed from 0 to 100

Applied in changeset 508a9e8b18d8811f65f0f9f4201c287bae55da2d.

#6 - 01/14/2016 08:18 AM - Anonymous

- Related to Bug #12576: Logjam - doesn't allow custom DHE groups added

#7 - 01/14/2016 08:24 AM - Anonymous
https://wiki.mozilla.org/Security/Server_Side_TLS#RC4_weaknesses
https://projects.theforeman.org/projects/smart-proxy/repository/7/revisions/508a9e8b18d8811f65f0f9f4201c287bae55da2d


- Related to Bug #12573: Smart-Proxy supports TLSv1 added
